package market.Mes.Lengthwise.Performance.vo;
/**
 * 各牌号分条产量报表所用
 * @author syh
 *
 */
public class MesSteelCodeTemp {

	private String wrk_date;
	
	private String steel_code;
	private String stl_daily;
	private String stl_month;
	private String stl_year;
	
	private String stl_daily_in;
	private String stl_month_in;
	private String stl_year_in;
	
	private String rate_daily;
	
	private String rate_month;
	
	private String rate_year;
	
	
	public String getRate_daily() {
		return rate_daily;
	}

	public void setRate_daily(String rate_daily) {
		this.rate_daily = rate_daily;
	}

	public String getRate_month() {
		return rate_month;
	}

	public void setRate_month(String rate_month) {
		this.rate_month = rate_month;
	}

	public String getRate_year() {
		return rate_year;
	}

	public void setRate_year(String rate_year) {
		this.rate_year = rate_year;
	}

	public String getStl_daily_in() {
		return stl_daily_in;
	}

	public void setStl_daily_in(String stl_daily_in) {
		this.stl_daily_in = stl_daily_in;
	}

	public String getStl_month_in() {
		return stl_month_in;
	}

	public void setStl_month_in(String stl_month_in) {
		this.stl_month_in = stl_month_in;
	}

	public String getStl_year_in() {
		return stl_year_in;
	}

	public void setStl_year_in(String stl_year_in) {
		this.stl_year_in = stl_year_in;
	}

	@Override
    public boolean equals(Object obj) {
		if(obj==null){
			return false;
		}
        if (obj instanceof MesSteelCodeTemp) {
        	MesSteelCodeTemp msct_obj= (MesSteelCodeTemp) obj;
            return steel_code.equals(msct_obj.getSteel_code());
        }
        return false;
    }
	
	public String getWrk_date() {
		return wrk_date;
	}
	public void setWrk_date(String wrk_date) {
		this.wrk_date = wrk_date;
	}
	public String getSteel_code() {
		return steel_code;
	}
	public void setSteel_code(String steel_code) {
		this.steel_code = steel_code;
	}
	public String getStl_daily() {
		return stl_daily;
	}
	public void setStl_daily(String stl_daily) {
		this.stl_daily = stl_daily;
	}
	public String getStl_month() {
		return stl_month;
	}
	public void setStl_month(String stl_month) {
		this.stl_month = stl_month;
	}
	public String getStl_year() {
		return stl_year;
	}
	public void setStl_year(String stl_year) {
		this.stl_year = stl_year;
	}
	
}
